Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDDuration

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseXSDAtomicType
              org.mindswap.pellet.datatypes.XSDDuration

All Implemented Interfaces:
  AtomicDatatype, Datatype, XSDAtomicType

    public class XSDDuration

extends BaseXSDAtomicType
implements AtomicDatatype

Author:
  Evren Sirin

Nested Class Summary
`static class` | `XSDDuration.DurationValueSpace`

Field Summary
`static ValueSpace` | `DURATION_VALUE_SPACE`
`static XSDDuration` | `instance`

Method Summary
`BaseXSDAtomicType` | `create(GenericIntervalList intervals)`
`AtomicDatatype` | `getPrimitiveType()`

Methods inherited from class org.mindswap.pellet.datatypes.BaseXSDAtomicType
`contains, deriveByRestriction, difference, enumeration, getValue, getValue, getValueSpace, intersection, not, restrictFractionDigits, restrictMax, restrictMaxExclusive, restrictMaxInclusive, restrictMin, restrictMinExclusive, restrictMinInclusive, restrictPattern, restrictTotalDigits, singleton, size, toString, union`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`difference, enumeration, intersection, not, union`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, contains, getName, getURI, getValue, getValue, isEmpty, singleton, size`

Field Detail

### DURATION_VALUE_SPACE

    public static final ValueSpace DURATION_VALUE_SPACE

### instance

    public static XSDDuration instance

Method Detail

### create

    public BaseXSDAtomicType create(GenericIntervalList intervals)

  Specified by:
    `create` in class `BaseXSDAtomicType`

### getPrimitiveType

    public AtomicDatatype getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `AtomicDatatype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.